# Generated from eba-2.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name eba

Name: rubygem-%{gem_name}
Version: 2.1.0
Release: 1%{?dist}
Summary: Class which serves as interface with Brazillian Central Bank databases through the Webservice SGS - Sistema Gerenciador de Séries Temporais - v2.1. eba stands for Easy BCB Access and is also an expression of joy in Brazillian Portuguese.<br>
License: MIT
URL: https://github.com/rCamposCruz/eba
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(nokogiri) >= 1.6
# BuildRequires: rubygem(nokogiri) < 2
# BuildRequires: rubygem(savon) >= 2.11
# BuildRequires: rubygem(savon) < 3
# BuildRequires: rubygem(net) >= 0.1
# BuildRequires: rubygem(net) < 1
BuildArch: noarch

%description
This class was developed in a partinership with Tendencias - Consultoria
Econômica, a economical analysis company from Brazil. The intent is, given
that you know one or more primary keys for series inside the BCB database, you
can extract updates or the full historical data of said series.<br>Eba stands
for Easy BCB Access and is also an expression of joy in Brazillian
Portuguese.<br>.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/eba.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 2.1.0-1
- Initial package
